/*
 * Created on Nov 22, 2004
 *
 */

package de.renew.engine.events;

import de.renew.net.NetInstance;


/**
 * Instantiates a net for a given {@link NetInstance}.
 *
 * @author Sven Offermann
 */
public class NetInstantiation extends NetEvent {
    /**
     * Creates a new {@link NetInstantiation} for a given {@link NetInstance}.
     *
     * @param netInstance the {@link NetInstance} this event is about
     */
    public NetInstantiation(NetInstance netInstance) {
        super(netInstance);
    }

    @Override
    public String toString() {
        return "New net instance " + getNetInstance().toString() + " created.";
    }
}